-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
--[C6Staging].[ST_SELECT_FOR_ADS4WS] 1
CREATE procedure [C6Staging].[ST_INSERT_SCARTI_SIMPB]
	--@NomePacchetto AS VARCHAR(50)
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'ST_INSERT_SCARTI_SIMPB',
		GETDATE(),
		'Elaborazione giornaliera2'
	)
	TRUNCATE TABLE [C6Staging].[SPB_SCARTI]
	INSERT INTO [C6Staging].[SPB_SCARTI]
           ([Rete]
           ,[CodiceFiscale]
           ,[PacchettoSSIS]
           ,[ID_Elab])
			SELECT	[Rete]
					,[Cod_Fiscale]
					,'SPB_CONTRSINTESI' AS [PacchettoSSIS]
					,C6Mart.getIdElab()
			FROM  C6Mart.RP_VContrattiMigrati
			WHERE Cod_Fiscale NOT IN (SELECT CODICEFISCALE
										FROM C6Staging.SPB_CONTR_SINTESI)
	INSERT INTO [C6Staging].[SPB_SCARTI]
           ([Rete]
           ,[CodiceFiscale]
           ,[PacchettoSSIS]
           ,[ID_Elab])
			SELECT	[Rete]
					,[Cod_Fiscale]
					,'SPB_MIFID' AS [PacchettoSSIS]
					,C6Mart.getIdElab()
			FROM  C6Mart.RP_VContrattiMigrati
			WHERE Cod_Fiscale NOT IN (SELECT CODICEFISCALE
									 FROM C6Staging.SPB_MIFID)
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'SELECT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'ST_INSERT_SCARTI_SIMPB' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'ST_INSERT_SCARTI_SIMPB'
		)
END